Ping the configured inference proxy
curl --request POST \
--url https://harness.example.com/gateway/proxy/health \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://harness.example.com/gateway/proxy/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://harness.example.com/gateway/proxy/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"status": "healthy",
"checked_at": "2023-11-07T05:31:56Z",
"latency_ms": 1,
"http_status": 349,
"error": "<string>"
}Gateway
Ping the configured inference proxy
Administrator-only server-side health request that does not expose gateway credentials.
POST
/
gateway
/
proxy
/
health
Ping the configured inference proxy
curl --request POST \
--url https://harness.example.com/gateway/proxy/health \
--header 'Authorization: Bearer <token>'const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://harness.example.com/gateway/proxy/health', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://harness.example.com/gateway/proxy/health"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text){
"status": "healthy",
"checked_at": "2023-11-07T05:31:56Z",
"latency_ms": 1,
"http_status": 349,
"error": "<string>"
}Authorizations
OAuth 2.0 access token obtained through RFC 8628 at /api/auth/device/code and /api/auth/oauth2/token. The API enforces governance:read, session:write, and client-status:write as appropriate.
